Page MenuHomePhabricator

[lld-macho] Initialize AsmParsers earlier
ClosedPublic

Authored by int3 on Dec 8 2020, 10:28 PM.

Details

Reviewers
compnerd
Group Reviewers
Restricted Project
Commits
rG74d799926e55: [lld-macho] Initialize AsmParsers earlier
Summary

We need to initialize AsmParsers before any calls to addFile, as
bitcode files may require them. Otherwise we trigger `Assertion T &&
T->hasMCAsmParser()' failed`.

Diff Detail

Event Timeline

int3 requested review of this revision.Dec 8 2020, 10:28 PM
int3 created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptDec 8 2020, 10:28 PM
int3 edited the summary of this revision. (Show Details)Dec 8 2020, 10:29 PM
compnerd accepted this revision.Dec 9 2020, 8:24 AM
compnerd added a subscriber: compnerd.
compnerd added inline comments.
lld/MachO/Driver.cpp
752

Nit: a newline after this would be nice.

This revision is now accepted and ready to land.Dec 9 2020, 8:24 AM
int3 updated this revision to Diff 310677.Dec 9 2020, 3:09 PM
int3 marked an inline comment as done.

newline

This revision was landed with ongoing or failed builds.Dec 10 2020, 3:58 PM
This revision was automatically updated to reflect the committed changes.